@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@300;400;500;600;700&family=Playfair+Display:wght@400;500;600;700&display=swap');

/*Logo Font*/
@import url('https://fonts.googleapis.com/css2?family=DM+Sans:wght@400;500;600&family=DM+Serif+Display:ital,wght@0,400;1,400&display=swap');

body {
    font-family: 'Montserrat', sans-serif;
    color: #3A3A3A;
}

.default-background {
    background-color: #ffffff;
}

.secondary-background {
    background-color: #F5F0E3;
}

.special-background {
    background-color: #51675C;
}

.tertiary-background {
    background-color: #3A3A3A;
}

.heading-font {
    font-family: 'Playfair Display', serif;
}

.brand-color {
    color: #C8644C;
}

.bg-brand {
    background-color: #C8644C;
}

.special-color {
    color: #51675C;
}

.secondary-color {
    color: #F5F0E3;
}

.tertiary-color {
    color: #3A3A3A;
}

/*.border-brand {*/
/*    border-color: #C8644C;*/
/*}*/

/*.hover\:bg-brand:hover {*/
/*    background-color: #C8644C;*/
/*}*/

/*.hover\:text-brand:hover {*/
/*    color: #C8644C;*/
/*}*/

/* Custom animation */
@keyframes float {
    0% {
        transform: translateY(0px);
    }
    50% {
        transform: translateY(-15px);
    }
    100% {
        transform: translateY(0px);
    }
}

.floating {
    animation: float 6s ease-in-out infinite;
}

/* Custom shape */
.custom-shape-divider-bottom-1689873153 {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    overflow: hidden;
    line-height: 0;
    transform: rotate(180deg);
}

.custom-shape-divider-bottom-1689873153 svg {
    position: relative;
    display: block;
    width: calc(100% + 1.3px);
    height: 100px;
}

.custom-shape-divider-bottom-1689873153 .shape-fill {
    fill: #C8644C;
}

.process-card-transitions {
}

.number-circle {
    transition: transform 300ms ease-in-out;
    transform: scale(1);
    box-shadow: 0 10px 15px rgba(0, 0, 0, 0.3);
}

.process-card-transitions:hover .number-circle {
    transform: scale(1.3);
}

.content-box {
}

.process-card-transitions:hover .content-box {
}

.lifecycle-card {
    color: #3A3A3A;
    box-shadow: 0 10px 15px rgba(0, 0, 0, 0.5);
    transition: transform 300ms ease-in-out;
}

.lifecycle-card:hover {
    transform: translateY(-5px);
}

.week-pill {
    color: #F5F0E3;
    transition: transform 900ms ease-in-out;
    transform: scale(1);
    /*box-shadow: 0 5px 10px rgba(0, 0, 0, 0.3);*/
}

.lifecycle-card:hover .week-pill {
    /*transform: scale(1.1);*/
    /*translate: 15px;*/
    /*border: 1px solid #3A3A3A;*/
}

.service-card {
    transition: transform 300ms ease-in-out;
    color: #3A3A3A;
    box-shadow: 0 10px 15px rgba(0, 0, 0, 0.2);
}

.service-card:hover {
    transform: translateY(-5px);
}

.service-icon {
    color: #C8644C;
}

.service-card:hover .service-icon {
}

/*
    BUTTONS
*/
.btn-primary {
    border-color: #C8644C;
    background-color: #C8644C;
    color: #F5F0E3;
}

.btn-primary:hover {
    background-color: #F5F0E3;
    border-color: #51675C;
    color: #3A3A3A;
}

.btn-secondary {
    border-color: #C8644C;
    background-color: #F5F0E3;
}

.btn-secondary:hover {
    background-color: #C8644C;
    color: #F5F0E3;
}

.btn-consultation {
    border-color: #ffffff;
    background-color: #ffffff;
    color: #3A3A3A;
    transition: all 0.3s ease;
}

.btn-consultation:hover {
    /*border-color: #3A3A3A;*/
    /*background-color: #3A3A3A ;*/
    box-shadow: 0 1px 10px rgba(58, 58, 58, 0.5);
    transform: translateY(-2px);
}

.btn-message {
    color: #F5F0E3;
    background-color: #C8644C;
    transition: all 0.3s ease;
    border-width: 2px;
    border-style: solid;
    border-color: #C8644C;
}

.btn-message:hover:not(:disabled) {
    transform: translateY(-2px);
    box-shadow: 0 10px 10px rgba(0, 0, 0, 0.1);
    background-color: #C8644C;
    color : #F5F0E3;
}

.btn-message:active:not(:disabled) {
    transform: translateY(0);
}

.btn-message:disabled {
    cursor: not-allowed;
    transform: none;
    box-shadow: none;
    color: #F5F0E3;
    background-color: #3A3A3A;
    border-color: #3A3A3A;
}

/*Contact form feedback messages*/
/* Success message*/
.status-success {
    background-color: #F5F0E3;
    color: #2d3d35;
    border-left: 4px solid #51675C;
}

/* Error message */
.status-error {
    background-color: #F5F0E3;
    color: #8a3a27;
    border-left: 4px solid #C8644C;
}

/* Base style for both messages */
#formResponse {
    font-weight: 500;
    transition: opacity 0.3s ease;
}

.portfolio-card {
    transition: transform 300ms ease-in-out;
    color: #3A3A3A;
    box-shadow: 0 10px 15px rgba(0, 0, 0, 0.2);
    background-color: #ffffff;
}

.portfolio-card:hover {
    transform: translateY(-5px);
}

.nav-link {
    position: relative;
}

.nav-link:after {
    content: '';
    position: absolute;
    width: 0;
    height: 1px;
    bottom: 0;
    left: 0;
    background-color: #C8644C;
    transition: width 0.3s ease;
    transform: translateZ(0);
}

.nav-link:hover {
    /*color: #C8644C;*/
}

.nav-link:hover:after {
    width: 100%;
}

.logo-font {
    font-family: 'DM Serif Display', serif;
}

.story-stat {
    color: #C8644C;
}

.competition-option {

}

.house-option {
    background-color: #F5F0E3;
    color: #3A3A3A;
    box-shadow: 0 10px 15px rgba(0, 0, 0, 0.2);
}

.footer-link {
    transition: 0.2s ease;
}

.footer-link:hover {
    color: #C8644C;
    text-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
}

/* Hide scrollbar (Chrome, Safari, Edge) */
body::-webkit-scrollbar {
    display: none;
}